/*
 * AddressPeople.java
 *
 * Created on 27 de Junho de 2006, 15:32
 *
 * Identification
 * $id$
 *
 * Changelog
 * $log$
 */

package dummybug;

import java.io.Serializable;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;

/**
 *
 * @author dyego
 */
@Entity
@Table(name = "addressPeople")
@NamedQueries( {@NamedQuery(name = "AddressPeople.findByApId", query = "SELECT a FROM AddressPeople a WHERE a.apId = :apId"), @NamedQuery(name = "AddressPeople.findByApAddress", query = "SELECT a FROM AddressPeople a WHERE a.apAddress = :apAddress")})
public class AddressPeople implements Serializable {

    @Id
    @GeneratedValue(strategy=GenerationType.AUTO)
    @Column(name = "ap_id", nullable = false)
    private Integer apId;

    @Column(name = "ap_address")
    private String apAddress;

    @JoinColumn(name = "ap_pe_id")
    @ManyToOne
    private dummybug.People apPeId;
    
    /** Creates a new instance of AddressPeople */
    public AddressPeople() {
    }

    public AddressPeople(Integer apId) {
        this.apId = apId;
    }

    public Integer getApId() {
        return this.apId;
    }

    public void setApId(Integer apId) {
        this.apId = apId;
    }

    public String getApAddress() {
        return this.apAddress;
    }

    public void setApAddress(String apAddress) {
        this.apAddress = apAddress;
    }

    public dummybug.People getApPeId() {
        return this.apPeId;
    }

    public void setApPeId(dummybug.People apPeId) {
        this.apPeId = apPeId;
    }

    public int hashCode() {
        int hash = 0;
        hash += (this.apId != null ? this.apId.hashCode() : 0);
        return hash;
    }

    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof AddressPeople)) {
            return false;
        }
        AddressPeople other = (AddressPeople)object;
        if (this.apId != other.apId && (this.apId == null || !this.apId.equals(other.apId))) return false;
        return true;
    }

    public String toString() {
        return "dummybug.AddressPeople[apId=" + apId + "]";
    }
    
}
