/*
 * People.java
 *
 * Created on 27 de Junho de 2006, 15:32
 *
 * Identification
 * $id$
 *
 * Changelog
 * $log$
 */

package dummybug;

import java.io.Serializable;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.OneToMany;
import javax.persistence.Table;

/**
 *
 * @author dyego
 */
@Entity
@Table(name = "people")
@NamedQueries( {@NamedQuery(name = "People.findByPeId", query = "SELECT p FROM People p WHERE p.peId = :peId"), @NamedQuery(name = "People.findByPeNome", query = "SELECT p FROM People p WHERE p.peNome = :peNome")})
public class People implements Serializable {

    @Id
    @GeneratedValue(strategy=GenerationType.AUTO)
    @Column(name = "pe_id", nullable = false)
    private Integer peId;

    @Column(name = "pe_nome")
    private String peNome;

    @OneToMany(mappedBy = "apPeId")
    private java.util.Collection <dummybug.AddressPeople> addressPeople;
    
    /** Creates a new instance of People */
    public People() {
    }

    public People(Integer peId) {
        this.peId = peId;
    }

    public Integer getPeId() {
        return this.peId;
    }

    public void setPeId(Integer peId) {
        this.peId = peId;
    }

    public String getPeNome() {
        return this.peNome;
    }

    public void setPeNome(String peNome) {
        this.peNome = peNome;
    }

    public java.util.Collection <dummybug.AddressPeople> getAddressPeople() {
        return this.addressPeople;
    }

    public void setAddressPeople(java.util.Collection <dummybug.AddressPeople> addressPeople) {
        this.addressPeople = addressPeople;
    }

    public int hashCode() {
        int hash = 0;
        hash += (this.peId != null ? this.peId.hashCode() : 0);
        return hash;
    }

    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof People)) {
            return false;
        }
        People other = (People)object;
        if (this.peId != other.peId && (this.peId == null || !this.peId.equals(other.peId))) return false;
        return true;
    }

    public String toString() {
        return "dummybug.People[peId=" + peId + "]";
    }
    
}
